Трите схеми
Всяка схема е кратък текст, който телефонът знае как да предаде на правилното приложение. mailto: отваря приложението за имейл, tel: отваря набирането, а sms: отваря приложението за съобщения, като получателят, а понякога и съобщението, вече са попълнени.
Телефонните номера работят най-добре в международен формат със знак плюс и код на държавата, като +15035550123, така че кодът да работи и за посетители от други държави.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (по-стара конвенция, която все още се чете широко)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (по-стара конвенция за имейл)
Кодиране на текста на съобщението
Темите и текстовете на съобщенията в линкове mailto и sms трябва да са с процентно кодиране, така че интервалът става %20, а амперсандът в текста става %26. Некодираните знаци могат да прекъснат съобщението или да счупят линка.
Платформите не винаги обработват параметъра body на sms по един и същи начин, което е една от причините по-старата форма SMSTO: все още да е често срещана в генераторите на QR кодове. Надеждната проверка е тест на iPhone и Android преди печат.
Какво тези кодове не могат да направят
QR код не може сам да изпрати имейл, да изпрати съобщение или да извърши обаждане. Той само отваря приложението с попълнени полета, а човекът, който сканира, решава дали да натисне изпращане или обаждане.
Тъй като получателят се вижда преди изпращането, хората трябва да проверят дали съвпада с очакваното. Код, който предварително попълва съобщение към номер с повишена тарифа или непознат адрес, е предупредителен знак.